/*specifique aux formations*/

body {
    --important-color-1: rgb(145, 34, 135);
    --important-color-2: #b42222;
    --important-color-3: #e7972d;
    --important-color-4: #dfdb1e;
    --important-color-5: #215659;
    --important-color-last: #bc30e7;
}

/*https://stackoverflow.com/questions/43809612/prevent-a-child-element-from-overflowing-its-parent-in-flexbox*/
.serie-description {
    min-width: 0;
    width: 100%;
}

.serie-flex {
    color: black;
    line-height: var(--line-height-body);
}

.specialites,
.options {
    max-height: 0;
    overflow: hidden;
    transition: max-height 0.5s ease-out;
}


.serie-flex .accordion:after {
    content: '\002B';
    /*unicode for +*/
    font-weight: bold;
    line-height: 30px;
    font-size: 30px;
    float: right;
}

.serie-flex .active:after {
    content: "\2212" !important;
    /*unicode for -*/
}


.circle {
    flex-shrink: 0;
    margin-top: 0;
    margin-bottom: 0;
    margin-left: -10px;
    margin-right: calc(var(--side-padding) - 10px);
    width: 20px;
    height: 20px;
    border-radius: 50%;
    border: 3px solid;
    background-color: white;
}

#circle-0 {
    border-color: var(--main-color);
}

#circle-1 {
    border-color: var(--important-color-1);
}

#circle-2 {
    border-color: var(--important-color-2);
}

#circle-3 {
    border-color: var(--important-color-3);
}

#circle-4 {
    border-color: var(--important-color-4);
}

#circle-5 {
    border-color: var(--important-color-5);
}

#last-circle {
    border-color: var(--important-color-last);
}

.important-text-0 {
    color: var(--main-color);
}

.important-text-1 {
    color: var(--important-color-1) !important;
}

.important-text-2 {
    color: var(--important-color-2) !important;
}

.important-text-3 {
    color: var(--important-color-3) !important;
}

.important-text-4 {
    color: var(--important-color-4) !important;
}

.important-text-5 {
    color: var(--important-color-5) !important;
}

.important-text-last {
    color: var(--important-color-last) !important;
}

#line-0 {
    background: linear-gradient(var(--main-color), white);
}

#line-1 {
    background: linear-gradient(var(--important-color-1), white);
}

#line-2 {
    background: linear-gradient(var(--important-color-2), white);
}

#line-3 {
    background: linear-gradient(var(--important-color-3), white);
}

#line-4 {
    background: linear-gradient(var(--important-color-4), white);
}

#line-5 {
    background: linear-gradient(var(--important-color-5), white);
}

#last-line {
    background: linear-gradient(var(--important-color-last), var(--main-color));
}

.serie-description th:nth-child(2),
.serie-description td:nth-child(2) {
    width: 75px;
}

.serie-description .flex>table {
    flex: 1 1 45%;
    min-width: 300px;
    margin-right: 10px;
    margin-left: 10px;
}

@media screen and (max-width: 768px) {
    .serie-description .flex>table {
        flex: 1 1 100%;
        margin: 0 0 var(--padding-paragraph) 0;
    }
}

@media screen and (max-width: 1024px) {

    .serie-description .video,
    .serie-description .standalone-image {
        margin-left: calc(-2 * var(--side-padding));
        width: calc(100% + 3 * var(--side-padding));
    }

}


.revealX {
    transform: translateX(calc(13px - var(--side-padding)));
    transition: 1s all ease;
    opacity: 0;
}

.activeX {
    transform: translateX(0);
    opacity: 1;
}